#
# spec file for package perl-Class-C3-XS
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Class-C3-XS
%define cpan_name Class-C3-XS
Summary:        XS speedups for Class::C3
Version:        0.13
Release:        24.1
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-C3-XS/
#Source:         http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Class-C3-XS-0.13.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.47

%description
This contains XS performance enhancers for Class::C3 version 0.16 and higher.
The main Class::C3 package will use this package automatically if it can
find it. Do not use this package directly, use Class::C3 instead.

This module won't do anything for you if you're running a version of Class::C3
older than 0.16. (It's not a dependency because it would be circular with the
optional dep from that package to this one).

Authors:
--------
    Brandon L. Black, <blblack@gmail.com>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc ChangeLog README

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- update to 0.13
  - Release 0.12_03 as a stable release, without further modifications.
- 0.12_03 Mon Sep 21, 2009
  - Fix compatibility with perl 5.6.x. Thanks again, Nicholas.
- 0.12_02 Mon Sep 7, 2009
  - Actually ship with the changes 0.12_01 claimed to have. Thanks for
    catching this, Nicholas.
- 0.12_01 Sat Aug 22, 2009
  - Backport a couple of performance tweaks from bleadperl. This gives a
    performance improvement of about 40%% in calculating the linearized
    isa for hierarchies with single parents only.
- 0.11 Mon Mar 30, 2009
  - Define SVfARG if the perl we're compiling for doesn't have
    it (Florian Ragwitz).
- 0.10 Sat Mar 28, 2009
  - Improve error message on merge errors (Florian Ragwitz).
- 0.09 Wed Mar 25, 2009
  - Use I32 instead of int (Brandon L Black).
  - Explicitly specify xs prototyping behaviour (Florian Ragwitz).
  - Fix several compiler warnings (Florian Ragwitz).
  - Check return values when storing values in hashes and error
    out if it didn't work (Florian Ragwitz).
  - Stop using auto_install in Makefile.PL (Florian Ragwitz).
  - Remove fake Build.PL (Florian Ragwitz).
* Sun Oct 26 2008 gerrit.beine@gmx.de
- first release 0.08
